Subject: Re: [PATCH RFC net-next 0/3] Multi-CPU DSA support

From: Marek Behun <[email-masked]>
Date: Tue, 13 Apr 2021 02:31:59 +0200

On Tue, 13 Apr 2021 02:27:30 +0200
Marek Behun <[email-masked]> wrote:

> On Tue, 13 Apr 2021 01:54:50 +0200
> Marek Behun <[email-masked]> wrote:
> 
> > I will look into this, maybe ask some follow-up questions.
> 
> Tobias,
> 
> it seems that currently the LAGs in mv88e6xxx driver do not use the
> HashTrunk feature (which can be enabled via bit 11 of the
> MV88E6XXX_G2_TRUNK_MAPPING register).
> 
> If we used this feature and if we knew what hash function it uses, we
> could write a userspace tool that could recompute new MAC
> addresses for the CPU ports in order to avoid the problem I explained
> previously...
> 
> Or the tool can simply inject frames into the switch and try different
> MAC addresses for the CPU ports until desired load-balancing is reached.
> 
> What do you think?
> 
> Marek

Although changing MAC addresses of the CPU ports each time some new
device comes into the network doesn't seem like a good idea, now that I
think about it. Hmm.